koa-request
===========

Very simple wrapper to the request library for use in koa.  
Wraps the request lib as thunk-returning functions for use in kao's middleware generator-functions.


To install simply run:
```bash
npm install koa-request
```

Require koa first and will only work on node v0.11.7 or newer.

You must run node with --harmony flag (--harmony-generators works as well)

```bash
node --harmony example.js
```

Simple example using koa-request in koa:

```js
let koa = require('koa');
let request = require('koa2-request');
let result = await request({
    url: dubboConf.url + `/user/findByUnameNPwd`,
    method: 'post',
    headers: {
        'content-type': 'application/json',
        'charset': 'UTF-8'
    },
    json: true,
    body: {
        username: uname, pwd: pwd
    }
});
console.log(result.body);

```